The Adblock Project Forum Index The Adblock Project
Pull up a seat ...stay a while.
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

support of firefox nightlies (0.10)

 
Post new topic   Reply to topic    The Adblock Project Forum Index -> Main
View previous topic :: View next topic  
Author Message
zyrill
Guest





PostPosted: Thu Sep 02, 2004    Post subject: support of firefox nightlies (0.10) Reply with quote

hey guys! i LOVE adblock and have been using and recommending it to all my friends - it's one of the most useful extensions (among single window, mouse gestures and session saver). since i'm always testing and bugchecking the nightlies i'd appreciate it greatly if you guys could add the newer branches to your supported list as well - i'm sure adblock will work without changes but i don't want to install it by hand every time because the xpi says this version is not supported. thank guys!

zy
Back to top
hank



Joined: 15 Nov 2003
Posts: 58

PostPosted: Thu Sep 02, 2004    Post subject: -CAN- I install it by hand? I was about to revert to ~0831 Reply with quote

AdBlock is my web browser.
Firefox is only an extension.

Well, at least that's how I feel.
I was about to revert to 20040831 -- I did not realize the 0901 build was going to break AdBlock.

Should I try the manual installation?
If not, I go back to using Lynx, text only, til sanity is restored.

Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.7.3) Gecko/20040901 Firefox/1.0 PR (NOT FINAL)
Back to top
View user's profile Send private message
kstahl
Support


Joined: 02 Jan 2004
Posts: 1202
Location: Stockholm, Sweden

PostPosted: Thu Sep 02, 2004    Post subject: Reply with quote

Adblock is not yet updated for the 1.0PR release. If I understand things correctly it's just a small fix, the version compatibility string need to be changed to 0.10, and hopefully it should be ready before the final release of 1.0PR.
_________________
Adblock 0.5.3.042
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.Cool Gecko/20051111 Firefox/1.5
Back to top
View user's profile Send private message
hank



Joined: 15 Nov 2003
Posts: 58

PostPosted: Thu Sep 02, 2004    Post subject: Thanks. Oddly, 2 people at Mozillazine had it work OK! Reply with quote

Thanks. I can't get it to install even by dropping the .xpi file onto Firefix manually. Oddly, the first two responses when I mentioned this at Mozillazine were from people who have had no problems continuing to use AdBlock after changing to the 1.0 PR nightly build -- while for me it required a new profile and rejected all my extensions. Curious.

I look forward to having AdBlock back. Which is to say, I look forward to having control of my computer back, right now it's owned by the advertising industry .....
Back to top
View user's profile Send private message
kstahl
Support


Joined: 02 Jan 2004
Posts: 1202
Location: Stockholm, Sweden

PostPosted: Thu Sep 02, 2004    Post subject: Reply with quote

Well, supposedly this version works:
http://www.extensionsmirror.nl/index.php?showtopic=774

Just remember that it's not an official version so don't complain here if your profile gets borked. Cool
_________________
Adblock 0.5.3.042
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.Cool Gecko/20051111 Firefox/1.5
Back to top
View user's profile Send private message
Zachariah



Joined: 21 Jul 2004
Posts: 703
Location: Earth

PostPosted: Thu Sep 02, 2004    Post subject: Reply with quote

related mozillazine posts:
_________________
Latest Adblock!

If all else fails try a really fresh install of Firefox
.
Back to top
View user's profile Send private message
hank



Joined: 15 Nov 2003
Posts: 58

PostPosted: Thu Sep 02, 2004    Post subject: also, under the Win32 discussion you linked to, is this Reply with quote

Also (I'm not sure how to link to an individual post in the Mozillazine forums, but it's in the same Win32 thread you linked to immediately above this post):

Someone comments that there is an "enable" option on the screen where Firefox tells you your extensions aren't compatible with 1.0PR, and it enables most of them.

This seems an improvement.
Back to top
View user's profile Send private message
rue
Developer


Joined: 22 Oct 2003
Posts: 752

PostPosted: Thu Sep 02, 2004    Post subject: Reply with quote

By this time tomorrow, the version-compatible XPI should be propagated and available for download. I'll post again then, after confirming all mirrors.
.
It will also link an update.rdf file, to keep all installs from this point forward permitted as compatible.
.
This issue will never occur again.
Back to top
View user's profile Send private message
kstahl
Support


Joined: 02 Jan 2004
Posts: 1202
Location: Stockholm, Sweden

PostPosted: Thu Sep 02, 2004    Post subject: Reply with quote

Sounds good rue. Just to clarify, this means that we will be able to use Firefox's built in extension update feature, yes?
_________________
Adblock 0.5.3.042
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.Cool Gecko/20051111 Firefox/1.5
Back to top
View user's profile Send private message
bobmugulie
Guest





PostPosted: Fri Sep 03, 2004    Post subject: Reply with quote

All you have to do to get it to work is to reenable adblock after the installation disables your extensions.
Back to top
rue
Developer


Joined: 22 Oct 2003
Posts: 752

PostPosted: Fri Sep 03, 2004    Post subject: Reply with quote

kstahl:
Not quite. When Firefox encounters a "version-incompatible" extension, it checks the manifest's update.rdf link to see if the max-version specified there allows compatibility. So, even though u.m.o. wont host us with a greater-than-current maxVersion, the update.rdf file provides our backdoor to effect the same thing.
--
bobmugulie:
A problem better solved dev-side.
Back to top
View user's profile Send private message
hank



Joined: 15 Nov 2003
Posts: 58

PostPosted: Fri Sep 03, 2004    Post subject: Reply with quote

I got the modified version pointed to above (and I realize it won't really last through FF version 5). I'm happy.

Somehow I never saw the option to re-enable extensions; when I dropped FF 1.0PR (for OSX) on top of the previous night's 8/31 build (for OSX), and started up, I must have seen something rather different than others somehow; it did work out for a couple of other people using OSX I've read.

For me, I got the one time warning everything was outdated and thereafter FF has never shown me the old extensions again -- not even when I tried dumping the new Profile, putting back the one from 8/31 and restarting. No extensions - files are in the folder but nothing listed.

No problem, I'm using the modified AdBlock, all is fine.[/u]
Back to top
View user's profile Send private message
rue
Developer


Joined: 22 Oct 2003
Posts: 752

PostPosted: Fri Sep 03, 2004    Post subject: Reply with quote

Well, I don't know exactly what was downloaded, but grabbing the latest nightly for Windows not only left Adblock enabled, it listed these prefs for versioning:
pref("app.version", "0.9.1+");
pref("app.build_id", "2004090307");
pref("app.extensions.version", "0.9");
If anyone can discern a reasoning for "0.10" and "1.0PR" on some nightlies but not others, I'll test and link the update. Until then, the update will remain unlinked, pending true 1.0 release.
Back to top
View user's profile Send private message
kstahl
Support


Joined: 02 Jan 2004
Posts: 1202
Location: Stockholm, Sweden

PostPosted: Fri Sep 03, 2004    Post subject: Reply with quote

Strange. Did you create a fresh proile, or install on top of an older? Maybe it's a trunk/branch issue.

I have no idea. I kept my old profile, and Firefox disabled Adblock for me. All I had to do was enable it again, and everything works fine.
_________________
Adblock 0.5.3.042
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.Cool Gecko/20051111 Firefox/1.5
Back to top
View user's profile Send private message
JunkieV
Guest





PostPosted: Tue Sep 07, 2004    Post subject: Reply with quote

Has anyone considered just unzipping Adblock and changing the version number thing? *goes to do that*
Back to top
Guest






PostPosted: Tue Sep 07, 2004    Post subject: Reply with quote

JunkieV: that is what I did

rue: Ben has said on numerous occasions that the version for the PR will be, without a doubt, as far as extentiosn are concerned, 0.10

I think it is safe to upload the fixed version for all.
Back to top
Greg K Nicholson



Joined: 23 Aug 2004
Posts: 4
Location: Hartlepool, England, UK

PostPosted: Tue Sep 07, 2004    Post subject: umo Reply with quote

rue, umo will actually host extensions that claim to be future-compatible - some listed there go up to 1.2. Also, Ben's explicitly given the OK to target 0.10 (1.0PR) now.
Back to top
View user's profile Send private message Send e-mail Visit poster's website
Buran



Joined: 07 Sep 2004
Posts: 3

PostPosted: Tue Sep 07, 2004    Post subject: Reply with quote

rue wrote:
By this time tomorrow, the version-compatible XPI should be propagated and available for download. ... This issue will never occur again.


Except ... when trying to download today (the 7th) with the latest Aviary nightly, it seems to install ... then vanishes from the extension list so that it can't be force-reenabled. No luck with the alternate unofficial builds, either. As far as I can tell, there's not actually a compatible build available...

What's the current status? (Until Adblock decides that 0.10 is acceptable, I've force-reverted back to the nightly I was using before, but I'm stuck without the benefit of possible fixes to a bug I reported...)
Back to top
View user's profile Send private message
Zul
Guest





PostPosted: Wed Sep 08, 2004    Post subject: Reply with quote

Just want to mention that today's nightly build gives this string:

Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.7.3) Gecko/20040908 Firefox/0.10

Further confirming that it is indeed 0.10

Also Ben posted a new entry in his Blog urging users to test nightly builds before the official Preview Release hits durring the middle of next week.

http://weblogs.mozillazine.org/ben/
Back to top
Buran



Joined: 07 Sep 2004
Posts: 3

PostPosted: Wed Sep 08, 2004    Post subject: Reply with quote

Zul wrote:
Also Ben posted a new entry in his Blog urging users to test nightly builds before the official Preview Release hits durring the middle of next week.


Allright. Perhaps the best thing to do is grab that when it shows up. Thanks for the info!
Back to top
View user's profile Send private message
kstahl
Support


Joined: 02 Jan 2004
Posts: 1202
Location: Stockholm, Sweden

PostPosted: Wed Sep 08, 2004    Post subject: Reply with quote

Updated official version, compatible with 1.0PR nightlies:
http://adblock.mozdev.org/dev.html

Edited to avoid confusion.
_________________
Adblock 0.5.3.042
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.Cool Gecko/20051111 Firefox/1.5


Last edited by kstahl on Sun Sep 12, 2004; edited 1 time in total
Back to top
View user's profile Send private message
Zachariah



Joined: 21 Jul 2004
Posts: 703
Location: Earth

PostPosted: Thu Sep 09, 2004    Post subject: Reply with quote

kstahl wrote:
Updated official version, compatible with 1.0PR nightlies:
http://downloads.mozdev.org/adblock/adblock-0.5-dev.xpi
is this now different from the one at http://adblock.mozdev.org/dev.html ?
_________________
Latest Adblock!

If all else fails try a really fresh install of Firefox
.
Back to top
View user's profile Send private message
kstahl
Support


Joined: 02 Jan 2004
Posts: 1202
Location: Stockholm, Sweden

PostPosted: Thu Sep 09, 2004    Post subject: Reply with quote

Edited. The correct file is now on Adblock's homepage.
_________________
Adblock 0.5.3.042
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.Cool Gecko/20051111 Firefox/1.5


Last edited by kstahl on Sun Sep 12, 2004; edited 1 time in total
Back to top
View user's profile Send private message
rue
Developer


Joined: 22 Oct 2003
Posts: 752

PostPosted: Fri Sep 10, 2004    Post subject: Reply with quote

That was a premature leak. I hadn't publicly linked it yet, because there was a potential conflict with the update system.
.
Thankfully, testing proved well, so it's now available directly from our dev-page. Adblock should remain compatible with all browser releases from here, forward. Enjoy.
Back to top
View user's profile Send private message
Zachariah



Joined: 21 Jul 2004
Posts: 703
Location: Earth

PostPosted: Sat Sep 11, 2004    Post subject: Reply with quote

rue wrote:
Adblock should remain compatible with all browser releases from here, forward. Enjoy.
We will! thanks!
_________________
Latest Adblock!

If all else fails try a really fresh install of Firefox
.
Back to top
View user's profile Send private message
Varsity
Guest





PostPosted: Sat Sep 11, 2004    Post subject: Reply with quote

Neither of those versions are 'valid install packages'.

Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.7.3) Gecko/20040910 Firefox/0.10
Back to top
kstahl
Support


Joined: 02 Jan 2004
Posts: 1202
Location: Stockholm, Sweden

PostPosted: Sat Sep 11, 2004    Post subject: Reply with quote

Works fine here. Try installing again.

If it doesn't work, do a local install by downloading the XPI to your computer and then dragging it onto an open browser window.

http://adblock.mozdev.org/dev.html
_________________
Adblock 0.5.3.042
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.Cool Gecko/20051111 Firefox/1.5
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    The Adblock Project Forum Index -> Main All times are GMT + 1 Hour
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum


Powered by phpBB © 2001, 2005 phpBB Group